Subject: bug#17630: 24.3.91; gv expander for a few places are incorrect

From: Stefan Monnier <[email-masked]>
Date: Thu, 29 May 2014 09:18:13 -0400

> The getter allows optional WINDOW arg but the setter requires WINDOW
> arg. For example:

>   (setf (window-buffer) (get-buffer "abc")) expands incorrectly to
>   (set-window-buffer (get-buffer "abc"))

> They should probably all be re-defined using gv-define-setter.

Indeed.  Tho maybe a better fix is to get rid of the asymmetry between
the getter and the setter.

        Stefan